import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';
import { ISecurityGroupPermission } from './security-group-permission.model';

export interface ISecurityGroup extends IResilientEntity {
  code?: string | null;
  name?: string | null;
  securityGroupPermissions?: ISecurityGroupPermission[] | null; 
}

export type NewSecurityGroup = Omit<ISecurityGroup, 'id'> & { id: null };
