import { IOrganization } from 'app/entities/organization/organization.model';
import { IDashboardComponentDetail } from './dashboard-component-detail.model';
import { IDashboardComponent } from './dashboard-component.model';

export interface IDashboardComponentDetailValue {
  dashboardComponentDetail?: IDashboardComponentDetail | null;
  value?: number | null;
  organization?: Pick<IOrganization, 'id' | 'code'> | null;
  targetDashboardComponent?: Pick<IDashboardComponent, 'id'> | null;
}
