import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

export interface IMetadataValue extends IResilientEntity {
  metadataPropertyCode?: string | null;
  targetDomainKey?: string | null;
  targetDomainId?: number | null;
  value?: string | null;
}

export type NewMetadataValue = Omit<IMetadataValue, 'id'> & { id: null };
