// All Entities that are Activity enabled, must extend this interface.
export interface IActivityDomain {
  id: number;
  activityDomainClass: string;
}

export interface IActivityProgress {
  progressPercentage: number;
  progressTask: string;
}

export interface IActivityInfo {
  activityKey: string;
}

export interface IActivityInvoke {
  activityKey: string;
	activityDomainClass: string;
	activityDomainId: number;
}

export interface IActivityInvokeResponse {
  activityKey: string;
}